from playwright.sync_api import Playwright, sync_playwright, expect

import re
import json
import datetime
import crawler

#爬虫启动
def CrawlerFutuNiuniu():
    with sync_playwright() as playwright:
        return GetFutuCompany(playwright)

def GetFutuCompany(playwright: Playwright) -> int:
    browser = playwright.chromium.launch(headless=False)
    context = browser.new_context(viewport={"width": 800, "height": 600})
    page = context.new_page()
    #获取需要爬取数据的公司
    name,url = crawler.GetCompany(1)
    if url!="":
        page.goto(url)
        all = page.locator(".lemma-summary").all_text_contents()
        intro = re.sub(r'\[[\d-]+\]', '', str(all))
        crawler.Log(name+"-获取到futu数据："+intro)
        if name != "" and intro != '[]':
            name2 = crawler.SaveCompanyData(name, 1, intro)
            if name2 != "":
                crawler.Log(name2+":百度数据，写入成功")
                return 100
            else:
                crawler.Log(name + ":百度数据，写入失败")
                return 100
        else:
            crawler.Log(name +":百度数据，写入失败")
            return 100

        # ---------------------
        context.close()
        browser.close()
    return 100

CrawlerFutuNiuniu()